// -----------------------------------------------------------------------------
// This file contains all application-wide Sass functions.
// -----------------------------------------------------------------------------

@function color($key: #0f0) {
  $color: map-get($colors, $key) or $key;
  // Recursive check
  $color: if(map-has-key($colors, $color), color($color), $color);
  @return $color;
}

@function ms($key: 'm') {
  $scale: map-get($modular-scale, $key) or $key;
  @return $scale;
}

/// Slightly lighten a color
/// @access public
/// @param {Color} $color - color to tint
/// @param {Number} $percentage - percentage of `$color` in returned color
/// @return {Color}
@function tint($color, $percentage) {
  @return mix(#fff, $color, $percentage);
}

/// Slightly darken a color
/// @access public
/// @param {Color} $color - color to shade
/// @param {Number} $percentage - percentage of `$color` in returned color
/// @return {Color}
@function shade($color, $percentage) {
  @return mix(#000, $color, $percentage);
}
